org.eclipse.ease.ui.completion

## Class AbstractCompletionProvider.DescriptorImageResolver

- java.lang.Object
- - org.eclipse.ease.ui.completion.AbstractCompletionProvider.DescriptorImageResolver

All Implemented Interfaces:
  IImageResolver

Enclosing class:
  AbstractCompletionProvider

    public static class AbstractCompletionProvider.DescriptorImageResolver
    extends java.lang.Object
    implements IImageResolver

### Constructor Summary

Constructors
Constructor and Description
`DescriptorImageResolver()`
`DescriptorImageResolver(ImageDescriptor descriptor)`

### Method Summary

All Methods Instance Methods Concrete Methods
`Image` `getImage()` Returns an image instance.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### DescriptorImageResolver

    public DescriptorImageResolver()

#### DescriptorImageResolver

    public DescriptorImageResolver(ImageDescriptor descriptor)

### Method Detail

#### getImage

    public Image getImage()

Description copied from interface: `IImageResolver`
Returns an image instance. Only called when the actual image gets displayed.

Specified by:
  `getImage` in interface `IImageResolver`
Returns:
  image to be displayed in proposal